hrp2-dynamic
============

This software implements HRP-2 specific dynamics computation.

IMPORTANT: This software is *NOT* open-source.


Setup
-----

To compile this package, it is recommended to create a separate build
directory:

    mkdir _build
    cd _build
    cmake [OPTIONS] ..
    make install

Please note that CMake produces a `CMakeCache.txt` file which should
be deleted to reconfigure a package from scratch.


### Dependencies

The matrix abstract layer depends on several packages which
have to be available on your machine.

 - Libraries:
   - [jrl-dynamics][jrl-dynamics] (>= 1.16.1)
   - [abstract-robot-dynamics][abstract-robot-dynamics] (>= 1.16)
 - System tools:
   - CMake (>=2.6)
   - pkg-config
   - usual compilation tools (GCC/G++, make, etc.)


[abstract-robot-dynamics]: http://github.com/laas/abstract-robot-dynamics
[jrl-dynamics]: http://github.com/jrl-umi3128/jrl-dynamics
